Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058021 - [backport] Can't connect to Facebook chat
Summary: [backport] Can't connect to Facebook chat
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gajim
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Schmidt
QA Contact: Fedora Extras Quality Assurance
URL: https://trac.gajim.org/ticket/7635
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 13:44 UTC by Martin
Modified: 2014-09-15 00:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 14:01:50 UTC


Attachments (Terms of Use)

Description Martin 2014-01-26 13:44:16 UTC
Filled upstream: https://trac.gajim.org/ticket/7635

Description of problem:
Gajim can't connect to Facebook XMPP server. Gajim is unable to receive Facebook roster and stays in "connecting" state forever. Gajim can receive messages and respond to them, but can't open new conversation. Also in "connecting" state user can't be sure if he can receive messages and Facebook doesn't support receiving offline messages via XMPP. This makes Facebook in Gajim practically useless and prone to losing messages.

This is caused by RFC violation in Facebook server implementation. But, there is an easy workaround in Telepathy and Pidgin also works for me.

Please consider adding same workaround into Gajim. It can be documented for now and removed when Facebook fixes their server.

​http://www.sharpley.org.uk/blog/facebook-problemshttps://bugs.freedesktop.org/show_bug.cgi?id=68829

Version-Release number of selected component (if applicable):
gajim-0.15.3-4.fc20

How reproducible:
always

Steps to Reproduce:
Run Gajim
Add Facebook account and connect to i

Comment 1 Michal Schmidt 2014-01-27 14:01:50 UTC
Thank you for filing this with upstream.

I do not value tracking this BZ in both bugtrackers, so I'm going to close this one. Feel free to ping me when upstream has a fix. Then we can consider a backport or a rebase.


Note You need to log in before you can comment on or make changes to this bug.